Bug 310627 - Drag and dropping a link to knotes from Firefox results in invisible text cursor
Summary: Drag and dropping a link to knotes from Firefox results in invisible text cursor
Status: RESOLVED FIXED
Alias: None
Product: knotes
Classification: Unclassified
Component: general (show other bugs)
Version: 4.9.3
Platform: Archlinux Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-25 00:00 UTC by Travis Evans
Modified: 2013-10-07 19:35 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.11.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Travis Evans 2012-11-25 00:00:49 UTC
Dragging a link from Firefox to a knotes note (to copy the URL) renders the text insertion cursor “frozen” or totally invisible in that note until knotes is restarted. The insertion point can still be moved around, but it no longer repaints.

Reproducible: Always

Steps to Reproduce:
1. Open a new note and Firefox side by side
2. Find any clickable link in Firefox
3. Drag the link from Firefox directly into the knotes window
4. Focus the knotes window and type some text, move the cursor around with the keyboard, etc. (sometimes it seems to take a few editing operations)
Actual Results:  
Eventually, the cursor disappears or “sticks” in some arbitrary location and no longer repaints, making it impossible to see where one is about to type.

Expected Results:  
The cursor should continue behaving as before dragging the link.
Comment 1 Laurent Montel 2013-10-07 19:35:41 UTC
Git commit 95002414729c596bf173d9259e6a882fd8f5e172 by Montel Laurent.
Committed on 07/10/2013 at 19:35.
Pushed by mlaurent into branch 'KDE/4.11'.

Fix Bug 310627 - Drag and dropping a link to knotes from Firefox results in invisible text cursor

FIXED-IN: 4.11.3

Keep ktextedit makes work.

M  +0    -29   knotes/knoteedit.cpp
M  +0    -2    knotes/knoteedit.h

http://commits.kde.org/kdepim/95002414729c596bf173d9259e6a882fd8f5e172